%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpd_user wwwrun
%define httpd_group www
%define httpd_service apache2
%define phpini /etc/php5/apache2/php.ini
%else
%define htmlroot /var/www/html
%define httpd_user apache
%define httpd_group apache
%define httpd_service httpd
%define phpini /etc/php.ini
%endif

Summary: Common files for presentation (css, images etc)
Name: op5common
Version: 1.1.14
Release: op5.1
Group: op5/system-addons
License: op5 Software License
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: sed >= 4.0.9
Requires: op5-monitor-supported-webserver
%if 0%{?suse_version}
# SLES-specific stuff
Requires: php53-xmlwriter
Requires: php53-xmlreader
Requires: php53
%else
# Common RHEL stuff
Requires: php-xml
Requires: php
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
Common files for presentation (css, images etc)

%prep
%setup -q
# change default location of html files for SUSE in all files
%if 0%{?suse_version}
find -type f -exec %{__sed} '{}' -i -e 's#var/www/html#srv/www/htdocs#g'  \;
%endif


%install
rm -rf %buildroot
mkdir -p %buildroot
mkdir -p %buildroot%{htmlroot}/op5common
cp -r * %buildroot%{htmlroot}/op5common


%post
service %{httpd_service} restart
current=$(sed -n 's/^memory_limit.*=[^0-9]*\([0-9]*\).*/\1/p' %{phpini})
if [ "$current" -a "$current" -lt 128 ]; then
	echo "Adjusting PHP memory_limit to 128M"
	sed -i -e 's/^memory_limit.*=.*/memory_limit = 128M/' %{phpini}
fi

%files
%defattr( -, %{httpd_user}, %{httpd_group})
%{htmlroot}/op5common

%clean
rm -rf %buildroot
